#pragma once
#include "base_head.h"
class UTILES_EXPORT Cstatic_array
{
public:
	int z;//tamaņo de la memoria
	int n;//capacidad usada de la memoria
	int m;//capacidad total de la memoria
	int incremento;
	BYTE* buf;
	Cstatic_array(int size=1);
	~Cstatic_array(void);
	//funciones---------------------------------------
	BYTE* get(int i);//da el elemento i
	BYTE* get_cp(int i);//da una copia del elemento i
	void add(BYTE* e);//aņade elemento
	void borra();//borra elementos
	//funciones aux----------------------------------
	BOOL reserva(int p=1);//reserva memoria para p posiciones mas
};
